body {
  font-family: Arial, sans-serif;
  background-color: #2a65c6;
  margin: 0;
  padding: 0;
}

.logo {
  background-image: url("logo.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  width: 100%;
  height: 150px;
}

.avvertenze {
  font-size: 12px;
  color: #cecece;
  text-align: center;
  padding: 0px 30px;
  /* margin-bottom: 20px; */
  max-width: 800px;
  margin-left: auto; /* Posiziona al centro rispetto alla pagina */
  margin-right: auto; /* Posiziona al centro rispetto alla pagina */
}

.candidates-container {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  margin: 0 -15px;
}

.candidate {
  border: 1px solid #ddd;
  border-radius: 10px;
  padding: 20px;
  margin: 15px;
  text-align: center;
  width: 250px;
  box-sizing: border-box;
}

.nome-candidato {
  text-transform: uppercase;
  margin-bottom: 10px;
}

.box-candidato {
  border-radius: 20px;
  background: #ffffff;
  position: relative;
  box-shadow: 2px 2px 10px rgba(50, 64, 105, 0.55);
}

.box-candidato span {
  position: absolute;
  overflow: hidden;
  width: 150px;
  height: 150px;
  top: -10px;
  left: -10px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.box-candidato span::before {
  content: "Sindaco";
  position: absolute;
  width: 150%;
  height: 40px;
  background: linear-gradient(
    1800deg,
    rgba(252, 33, 33, 1) 0%,
    rgba(255, 255, 255, 1) 33%,
    rgba(255, 255, 255, 1) 66%,
    rgba(23, 198, 12, 1) 100%
  );
  transform: rotate(-45deg) translateY(-20px);
  display: flex;
  align-items: center;
  justify-content: center;
  color: #006de1;
  font-weight: 600;
  letter-spacing: 0.1em;
  text-transform: uppercase;
  box-shadow: 0 0px 10px rgba(0, 0, 0, 0.23);
}

.candidate-photo {
  width: 150px;
  height: 150px;
  border-radius: 50%;
  object-fit: cover;
  margin-bottom: 15px;
}

.candidati {
  text-align: center;
  text-transform: uppercase;
  color: #ffffff;
  margin-bottom: 20px;
}

.sezioni {
  text-align: center;
  text-transform: uppercase;
  color: #ffffff;
  margin-bottom: 20px;
}

/* -- */

.container-spinner {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100vw;
  margin: 0 auto;
  color: #ddd;
}

.spinner {
  --size: 30px;
  --first: #005bba;
  --second: #ffffff;
  width: 100px;
  height: 100px;
  /* position: relative; */
  animation: spin 3s linear infinite;
}

.spinner::before,
.spinner::after {
  content: "";
  width: var(--size);
  height: var(--size);
  border: 4px solid var(--first);
  border-top: 4px solid var(--second);
  border-radius: 50%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  animation: spinRing 1.5s ease-out infinite;
  box-shadow: 0 0 10px var(--first);
}

.spinner::before {
  filter: blur(10px);
}

/* ---- */
.contenitore-button {
  display: flex;
  justify-content: center; /* Centro orizzontalmente */
  margin: 30px;
}

.button {
  display: flex;
  height: 50px;
  padding: 0;
  /* 006de1 */
  background: #2a65c5;
  /* background: #009578; */
  border: none;
  outline: none;
  border-radius: 25px;
  overflow: hidden;
  font-family: "Quicksand", sans-serif;
  font-size: 16px;
  font-weight: 500;
  cursor: pointer;
  box-shadow: 0 0px 10px rgba(0, 0, 0, 0.23);
}

.button:hover {
  background: #2c63bc;
}

.button:active {
  background: #2a65c5;
}

.button__text,
.button__icon {
  display: inline-flex;
  text-transform: uppercase;
  align-items: center;
  padding: 0 24px;
  color: #fff;
  height: 100%;
}

.button__icon {
  font-size: 1em;
  background: rgba(0, 0, 0, 0.08);
}
/* ---- */

@keyframes spinRing {
  0% {
    transform: translate(-50%, -50%) rotate(0deg);
  }
  100% {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/* -- */

/* Media query per schermi di dimensioni inferiori */
@media (max-width: 600px) {
  .candidates-container {
    flex-direction: column;
    align-items: center;
  }

  .candidate {
    width: 90%;
    margin: 10px 0;
  }
}
